package org.vostan.banvor.board;

import org.vostan.banvor.model.IPuzzleAnimator;
import org.vostan.banvor.model.XYPair;

public class PuzzleAnimator implements IPuzzleAnimator {

    Animator animator = null;

    public PuzzleAnimator(Animator a){
        animator = a;
    }

    public void move(XYPair xy )
    {
        animator.queue( new Animator.Move(xy) );
    }

    public void push(XYPair xy )
    {
        animator.queue( new Animator.Push(xy) );
    }

    public void select(XYPair xy )
    {
        animator.queue( new Animator.Select(xy) );
    }

    public void unselect()
    {
        animator.queue( new Animator.Unselect() );
    }

    public void buzz()
    {
        //animator.queue( new Animator.NoMove(x,y) );
    }

    public void moveImpossible(XYPair xy )
    {
        animator.queue( new Animator.NoMove(xy) );
    }

}
